package org.project.entity;

public interface Entity {

    public void specialAbility(Entity target);

    void defend();

    void heal(int health);

//    void fillMana(int mana);

    void takeDamage(int damage);

    void stun(boolean value);

    void dodge(boolean value);

}
